/*
# pgJournalSelect : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : pgJournalSelect
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"
#include "DataBase.hh"
#include "DataBaseJournal.hh"
#include <pgsql/libpq-fe.h>
#include "Memory.h"
/*
Example:
typedef struct lpgJournalSelectInfo {
	float a;
	int   b;
} lpgJournalSelectInfo;

typedef enum lpgJournalSelectMode {
	a=0,
	b=1
} lpgJournalSelectMode;
*/

int
main(int argc, char* argv[]) 
{
	pgJournalSelectInfo info;

	init0(&info);
    	argCheck(&info, argc, argv);
    	init1(&info);

	DEBUGPRINT("Program Start\n");
	
	DataBaseJournal* dbj;
	dbj=new DataBaseJournal(info.Host, info.Port);
//	DataBaseJournal("localhost","5432");
	char* PDBcord;
	char* Residues;
	PDBcord=(char *)memoryAllocate(sizeof(char)*300,"main");
	Residues=(char *)memoryAllocate(sizeof(char)*300,"main");
	printf("Input PDBCord --->>");
	scanf("%s",PDBcord);
	printf("%s\n",PDBcord);
	printf("Input Residues--->>");
	scanf("%s",Residues);
	printf("%s,%s\n",PDBcord,Residues);
	dbj->SetKey(PDBcord,Residues);

	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
